Subject: [PATCH net-next v2 0/3] split phylink PCS operations and add PCS support for dpaa2

From: Russell King - ARM Linux admin <[email-masked]>
Date: Sun, 29 Mar 2020 17:00:36 +0100

This series splits the phylink_mac_ops structure so that PCS can be
supported separately with their own PCS operations, separating them
from the MAC layer.  This may need adaption later as more users come
along.

v2: change pcs_config() and associated called function prototypes to
only pass the information that is required, and add some documention.

 drivers/net/phy/phylink.c | 115 ++++++++++++++++++++++++++++++----------------
 include/linux/phylink.h   |  91 +++++++++++++++++++++++++++++++++++-
 2 files changed, 165 insertions(+), 41 deletions(-)

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 10.2Mbps down 587kbps up